Bug 743936 - [ipa webui] Unable to access Webui
Summary: [ipa webui] Unable to access Webui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-06 14:15 UTC by Namita Soman
Modified: 2011-12-06 18:42 UTC (History)
3 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Web UI loads an entire IPA API name space when it is being started. JSON requests returns large amount of data. Consequence: Some browsers may report "script stack space quota is exhausted" when Web UI is being loaded and user is then unable to access the Web UI Fix: Split Web UI initialization to several smaller calls Result: The browser no longer reports the error when Web UI is loaded and user is able to access it
Clone Of:
Environment:
Last Closed: 2011-12-06 18:42:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-10-06 14:15:22 UTC
Description of problem:
When using ipa-server-2.1.1-102.20111006T0010zgit5de9780.el6.x86_64, unable to access web ui.
Throws error - script stack space quota is exhausted

Spoke to ayoung, who indicate -  that the error comes back from the first JSON call.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-102.20111006T0010zgit5de9780.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. kinit as admin
2. Start firefox to go to IPA UI

  
Actual results:
error - script stack space quota is exhausted


Expected results:
Should be brought to User page

Additional info:

Comment 1 Dmitri Pal 2011-10-06 14:46:56 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1933

Comment 2 Rob Crittenden 2011-10-07 20:41:20 UTC
fixed upstream

ipa-2-1:
48f30698e54a0e02dcaea5dd5d22591c2bffe295
30b2d4e59625b8a948912f0087d7a8d18112143d
f7812fa68c7a2ee232e2053399e0ba9ccef5e6c3

Comment 5 Namita Soman 2011-10-11 11:37:41 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64

Can access the WebUI

Comment 6 Martin Kosek 2011-10-31 20:41:04 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Web UI loads an entire IPA API name space when it is being started. JSON requests returns large amount of data.
Consequence: Some browsers may report "script stack space quota is exhausted" when Web UI is being loaded and user is then unable to access the Web UI
Fix: Split Web UI initialization to several smaller calls
Result: The browser no longer reports the error when Web UI is loaded and user is able to access it

Comment 7 errata-xmlrpc 2011-12-06 18:42:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.